# generated by cabal-rpm-2.3.0 --subpackage
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global pkg_name spdx
%global pkgver %{pkg_name}-%{version}
%{?haskell_setup}

%global puresat puresat-0.1

%global subpkgs %{puresat}

# puresat needs minisat
%bcond tests 0

Name:           ghc-%{pkg_name}
Version:        1.1
# can only be reset when subpkg bumped
Release:        2%{?dist}
Summary:        SPDX license expression language, Extras

License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/spdx
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
Source1:        https://hackage.haskell.org/package/%{puresat}/%{puresat}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros-extra
BuildRequires:  ghc-Cabal-syntax-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-containers-devel
#BuildRequires:  ghc-puresat-devel
BuildRequires:  ghc-transformers-devel
%if %{with ghc_prof}
BuildRequires:  ghc-Cabal-syntax-prof
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-containers-prof
#BuildRequires:  ghc-puresat-prof
BuildRequires:  ghc-transformers-prof
%endif
%if %{with tests}
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-quickcheck-devel
%endif
# for missing dep 'puresat':
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-primitive-devel
%if %{with ghc_prof}
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-parsec-prof
BuildRequires:  ghc-primitive-prof
%endif
# End cabal-rpm deps

%description
Cabal provides SPDX types. This package provides some extras.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
BuildArch:      noarch
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (%{name}-devel and ghc-prof)

%description prof
This package provides the Haskell %{pkg_name} profiling library.
%endif


%global main_version %{version}

%if %{defined ghclibdir}
%ghc_lib_subpackage -l BSD-3-Clause %{puresat}
%endif

%global version %{main_version}


%prep
# Begin cabal-rpm setup:
%setup -q -n %{pkgver} -a1
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_libs_build %{subpkgs}
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_libs_install %{subpkgs}
%ghc_lib_install
# End cabal-rpm install


%check
%if %{with tests}
%cabal_test
%endif


%files -f %{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md


%if %{with haddock}
%files doc -f %{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files prof -f %{name}-prof.files
%endif


%changelog
* Mon Apr 07 2025 Jens Petersen <petersen@redhat.com> - 1.1-2
- Rebuild

* Wed Mar 26 2025 Jens Petersen <petersen@redhat.com> - 1.1-1
- https://hackage.haskell.org/package/spdx-1.1/changelog
- add puresat

* Sun Feb 23 2025 Jens Petersen <petersen@redhat.com> - 1.0.0.3-19
- cabal-rpm-2.3.0

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0.3-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Jul 29 2024 Jens Petersen <petersen@redhat.com> - 1.0.0.3-17
- bump some deps bounds

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0.3-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jul 15 2024 Jens Petersen <petersen@redhat.com> - 1.0.0.3-15
- refresh to cabal-rpm-2.2.1

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jul 25 2023 Jens Petersen <petersen@redhat.com> - 1.0.0.3-12
- bump Cabal and base

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Mar 26 2023 Jens Petersen <petersen@redhat.com> - 1.0.0.3-10
- set %2%{?dist} baserelease

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jul 11 2022 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.0.0.3-6
- Update to 1.0.0.3

* Sun Dec 19 2021 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.0.0.2-1
- Initial RPM release
